> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getplum.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Gather high-scoring and positively critiqued pairs from evaluation results



## OpenAPI

````yaml https://raw.githubusercontent.com/getplumai/docs/refs/heads/main/api-reference/openapi.yaml get /gather/{id}
openapi: 3.0.0
info:
  title: Plum API
  version: 1.1.0
servers:
  - url: https://beta.getplum.ai/v1
security: []
paths:
  /gather/{id}:
    get:
      summary: >-
        Gather high-scoring and positively critiqued pairs from evaluation
        results
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: ID of the evaluation results to gather pairs from
      responses:
        '200':
          description: Successfully gathered pairs from evaluation results
          content:
            application/json:
              schema:
                type: object
                properties:
                  eval_results_id:
                    type: string
                  dataset_id:
                    type: string
                  high_scoring_pairs:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        id:
                          type: string
                        input:
                          type: string
                        output:
                          type: string
                        metadata:
                          type: object
                          properties:
                            created_at:
                              type: string
                            labels:
                              type: array
                              items:
                                type: string
                  positively_critiqued_pairs:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        id:
                          type: string
                        input:
                          type: string
                        output:
                          type: string
                        metadata:
                          type: object
                          properties:
                            created_at:
                              type: string
                            labels:
                              type: array
                              items:
                                type: string
                  high_scoring_pair_count:
                    type: integer
                  positive_critique_count:
                    type: integer
                  system_prompt:
                    type: string
        '400':
          description: Bad request - evaluation results id is required
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````